org.apache.naming

## Class EjbRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.EjbRef

- All Implemented Interfaces:
    Serializable, Cloneable

      public class EjbRef
      extends Reference

  Represents a reference address to an EJB.
  Author:
    Remy Maucherat
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FACTORY` Default factory for this reference.
    `static String` | `LINK` Link address type.
    `static String` | `REMOTE` Remote interface classname address type.
    `static String` | `TYPE` EJB type address type.

    - ### Fields inherited from class javax.naming.Reference

      `addrs, classFactory, classFactoryLocation, className`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EjbRef(String ejbType, String home, String remote, String link)` EJB Reference.
    `EjbRef(String ejbType, String home, String remote, String link, String factory, String factoryLocation)` EJB Reference.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.

    - ### Methods inherited from class javax.naming.Reference

      `add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FACTORY

          public static final String DEFAULT_FACTORY

      Default factory for this reference.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      EJB type address type.
      See Also:
        Constant Field Values

    - #### REMOTE

          public static final String REMOTE

      Remote interface classname address type.
      See Also:
        Constant Field Values

    - #### LINK

          public static final String LINK

      Link address type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EjbRef

          public EjbRef(String ejbType,
                String home,
                String remote,
                String link)

      EJB Reference.
      Parameters:
        `ejbType` - EJB type
        `home` - Home interface classname
        `remote` - Remote interface classname
        `link` - EJB link

    - #### EjbRef

          public EjbRef(String ejbType,
                String home,
                String remote,
                String link,
                String factory,
                String factoryLocation)

      EJB Reference.
      Parameters:
        `ejbType` - EJB type
        `home` - Home interface classname
        `remote` - Remote interface classname
        `link` - EJB link

  - ### Method Detail

    - #### getFactoryClassName

          public String getFactoryClassName()

      Retrieves the class name of the factory of the object to which this reference refers.
      Overrides:
        `getFactoryClassName` in class `Reference`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.